CatalogProducts
Update modifier group
Updates a product modifier group and its options.
PUT
/v1/catalog/products/{productId}/modifier-groups/{id}Updates a product modifier group and its options.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
productId*string
Identifier of the product.
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/catalog/products/7204558912004325301/modifier-groups/7204558912004325301" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "description": "Example description.", "isRequired": false, "selectionType": "single", "minSelections": 1, "maxSelections": 1, "order": 1, "status": "active" }'Empty